﻿$ErrorActionPreference = 'Stop' # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType = 'MSI'
  url = 'https://nightly.glpi-project.org/glpi-agent/GLPI-Agent-1.7-git3c563ae1-x86.msi' # (From $Latest)
  file64 = 'GLPI-Agent-1.7-git3c563ae1-x64.msi' # (From $Latest)

  softwareName = 'GLPI Agent *'

  checksum = '681ED11F296E1AF5BE614451864B8B859C57D71C265B66092DBEC1A6B5828B5F' # (From $Latest)
  checksumType = 'sha256' # (From $Latest)
  checksum64 = '9E30952BF3292377B324EE95AD5CDC40A093925AC7AEFAFB20777541D9310CE0' # (From $Latest)
  checksumType64 = 'sha256' # (From $Latest)

  # MSI
  silentArgs = '/quiet'
  validExitCodes= @(0)
}

If ((Get-OSArchitectureWidth 32) -or $env:ChocolateyForceX86 -eq 'true') {
  # Download the 32-bit installer on-the-fly
  Install-ChocolateyPackage @packageArgs
} Else {
  # Use the embedded 64-bit installer

  # Access file from $toolsDir
  $packageArgs.file64 = Join-Path $toolsDir $packageArgs.file64
  Install-ChocolateyInstallPackage @packageArgs
}
